export declare const SourceEmail = 0;
export declare const SourcePortal = 2;
export declare const SourcePhone = 3;
export declare const SourceChat = 7;
export declare const SourceMobile = 8;
export declare const SourceFeedback = 9;
export declare const SourceOutbound = 10;
export declare const StatusOpen = 2;
export declare const StatusPending = 3;
export declare const StatusResolved = 4;
export declare const StatusClosed = 5;
export declare const PriorityLow = 1;
export declare const PriorityMedium = 2;
export declare const PriorityHigh = 3;
export declare const PriorityUrgent = 4;
export declare const mailboxBlueDriverMax = 43000161966;
export declare const mailboxBlueDriverOG = 43000140481;
export declare const groupBlueDriver = 43000612165;
export declare const baseUrl = "https://r4i.freshdesk.com/api/v2/";
export declare const endpointTickets = "tickets";
export declare const endpointContacts = "contacts";
export declare const endpointSendEmail = "tickets/outbound_email";
export declare const endpointMethodGet = "GET";
export declare const endpointMethodPost = "POST";
export type apiMethods = typeof endpointMethodGet | typeof endpointMethodPost;
export declare const contentTypeJSON = "application/json";
export declare const agentIdBrandon = "43134344974";
export declare const agentIdChris = "43017776198";
export declare const agentIdMax = "43104852446";
export declare const agentIdDan = "43057207137";
export declare const tagShipping = "Shipping Notification";
export declare const typeShipping = "Shipping &amp; Ordering";
export declare const productStringBdMax = "BlueDriver Max";
export declare const productStringBdOG = "BlueDriver";
export declare const shippingActionOrdered = "Ordered";
export declare const shippingActionShipped = "Shipped";
export type shippingActions = typeof shippingActionOrdered | typeof shippingActionShipped;
export interface fetchOptions extends RequestInit {
    method: apiMethods;
    headers: {
        Authorization: string;
        'Content-Type'?: string;
    };
    body?: string;
}
export interface shippingNotificationDetails {
    orderNumber: string;
    recipient: {
        email: string;
        name: string;
        street: string;
        city: string;
        stateProv: string;
        zipPostal: string;
        country: string;
    };
    items: {
        [key: string]: number;
    };
    optionalFields: {
        [key: string]: string;
    };
}
export interface outboundEmailJSON {
    name?: string;
    email: string;
    subject: string;
    type?: string;
    status: number;
    priority: number;
    description: string;
    email_config_id: number;
    group_id: number;
    tags?: string[];
}
export interface apiResonseErrorBody {
    description: string;
    errors: apiErrorField[];
}
export interface apiErrorField {
    field: string;
    message: string;
    code: string;
}
